local Pastry = ...
-- Register model for stocking asset

Pastry:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        _PastryPrefix .. "_HEN_BREEDER"
    }
})

Pastry:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        _PastryPrefix .. "_HEN_BREEDER"
    }
})

Pastry:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        _PastryPrefix .. "_HEN_BREEDER"
    }
})

Pastry:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        _PastryPrefix .. "_HEN_BREEDER"
    }
})

-- Register Hen Breeder job
Pastry:register({
	DataType = "JOB",
	Id = _PastryPrefix .. "_HEN_BREEDER",
	JobName = _PastryPrefix .. "_HEN_BREEDER_NAME",
	JobDescription = _PastryPrefix .. "_HEN_BREEDER_DESC",
        CharacterSetup = {
            LeftHandObject = {
                Model = "PREFAB_TOOL_FARMER_SEED_BAG",
                WorkAttachName = "SeedBag_Anchor",
                WalkAttachName = "SeedBag_Anchor"
            },
            WorkAnimation = "SEED",
            IdleAnimation = "SEED"
        },
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 30.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})

Pastry:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        _PastryPrefix .. "_DAIRY_MAID"
    }
})

Pastry:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        _PastryPrefix .. "_DAIRY_MAID"
    }
})

Pastry:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        _PastryPrefix .. "_DAIRY_MAID"
    }
})

Pastry:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        _PastryPrefix .. "_DAIRY_MAID"
    }
})

-- Register Dairy Maid job
Pastry:register({
	DataType = "JOB",
	Id = _PastryPrefix .. "_DAIRY_MAID",
	JobName = _PastryPrefix .. "_DAIRY_MAID_NAME",
	JobDescription = _PastryPrefix .. "_DAIRY_MAID_DESC",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 22.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})
