local Pastry = ...

-- Register image assets
Pastry:registerAssetId("icons/pastry.png", "ICON_" .. _PastryPrefix .. "_PASTRY")

Pastry:register({
	DataType = "RESOURCE",
	Id = _PastryPrefix .. "_PASTRY",
	ResourceName = _PastryPrefix .. "_PASTRY",
	Icon = "ICON_" .. _PastryPrefix .. "_PASTRY",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})
